From e4a1a53d2ef9490d84ba209b567147aa38c45d6b Mon Sep 17 00:00:00 2001
From: Daniel Wendt <daniel.wendt@linux.com>
Date: Mon, 3 Dec 2018 16:44:44 +0100
Subject: [PATCH 2/2] explorer: send WM_NCDESTROY message to delete hwnd-related global atom

Wine-Bug: https://bugs.winehq.org/show_bug.cgi?id=46234
---
 programs/explorer/desktop.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/programs/explorer/desktop.c b/programs/explorer/desktop.c
index 029afd74cc..e21a8fd524 100644
--- a/programs/explorer/desktop.c
+++ b/programs/explorer/desktop.c
@@ -1091,6 +1091,7 @@ void manage_desktop( WCHAR *arg )
     }
 
     if (pShellDDEInit) pShellDDEInit( FALSE );
+    SendMessageW( hwnd, WM_NCDESTROY, 0, 0 );
     unload_graphics_driver(graphics_driver, &guid);
 
     ExitProcess( 0 );
-- 
2.19.2

